package com.zx.dataservice.task;

import com.zx.dataservice.options.ZXOptions;
import com.zx.dataservice.service.ChoiceHisService;
import com.zx.dataservice.service.ChoiceService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 推送实时数据
 */
@Component
public class AnalysisDataTask {

    private static final Logger log = LoggerFactory.getLogger(AnalysisDataTask.class);

    @Autowired
    private ChoiceService choiceService;


    @Scheduled(cron = "1/5 * * * * ? ")
    public void toAnalysisDataTask() {
        if("true".equals(ZXOptions.get("isold"))){
            this.choiceService.analysisDataTask();
        }
    }

}
